Vanilla Vue.js component that mimics Selectize behavior (no jquery dependency)

Overview

vue-selectize

Netlify Status

A Vanilla Vue.js component that mimics the selectize.js behavior https://vue-selectize.vilanculo.me

Installation

yarn add selectize @isneezy/vue-selectize

Usage

<template>
  <v-selectize v-model="selected" :options="['neat','awesome']"/>
</template>
import 'selectize/dist/css/selectize.css'
import VSelectize from '@isneezy/vue-selectize'
export default {
  data: () => ({
    selected: ''
  }),
    components: {
    VSelectize
  }
}
Comments
  • Update Readme to show Nuxt implementation

    Update Readme to show Nuxt implementation

    Is your feature request related to a problem? Please describe. Hi, thanks for this beautiful component.

    Just wanted to say, if you could please update the readme file to show how we can implement this component using Nuxt.js. It would really help the beginners who want to learn or try out this component in their Nuxt applications without any hassle.

    Describe the solution you'd like A clear and concise description of what you want to happen.

    Describe alternatives you've considered A clear and concise description of any alternative solutions or features you've considered.

    Additional context Add any other context or screenshots about the feature request here.

    documentation 
    opened by palashmon 6
  • How to pass options

    How to pass options

    Hello

    How to pass some custom settings/options to selectize? Here is my code which is right now not working in nuxtjs

    <VSelectize :options="owners" v-model="selected" :settings="customSettings" placeholder="Select owner" />
    
    customSettings: {
                    valueField: '_id',
                    labelField: 'email'
                }
    
    

    The problem is when I click on drop down button of select box then there is no option only a gray box is appear

    question 
    opened by umardraz 6
  • disableSearch disables search, but leaves input intact

    disableSearch disables search, but leaves input intact

    Describe the bug The disableSearch option disables the search function. However, the cursor is still focused on an empty text input, allowing the user to type with no feedback.

    To Reproduce App: https://codesandbox.io/s/charming-drake-gxqh4?file=/src/App.vue

    Preview: https://gxqh4.codesandbox.io/

    1. Click or tab to activate the select
    2. Useless text field is focused

    Expected behavior When disableSearch prop is passed to component, the input should not be rendered, or at least disabled/hidden

    Desktop (please complete the following information):

    • Windows
    • Firefox
    • 82.0b9
    opened by bryanbuchs 4
  • Bump eslint-plugin-vue from 6.2.2 to 7.0.1

    Bump eslint-plugin-vue from 6.2.2 to 7.0.1

    Bumps eslint-plugin-vue from 6.2.2 to 7.0.1.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v7.0.1

    🐛 Bug Fixes

    • #1317 Avoid redundant global self-require of the plugin.

    All commits: v7.0.0 -> v7.0.1

    v7.0.0

    :rocket: Highlight

    • Support for Vue.js 3.0 "One Piece".
    • Support for ESLint 7.x.
    • Support for ECMAScript 2020.
    • Added 66 new rules.

    💥 Breaking Changes

    • #1209 Change support version of ESLint from 6.0.0 to 6.2.0.
    • Updated presets configs.
      • Changed plugin:vue/base config.
        • #1237 Removed jsx:true from shareable configs.
        • #1209 Changed parserOptions.ecmaVersion to 2020.
        • #1303 Added vue/experimental-script-setup-vars rule.
      • Changed plugin:vue/essential config.
        • Same changes as above.
        • #1036 Added vue/valid-v-bind-sync rule.
        • #1036 Added vue/valid-v-slot rule.
        • #1036 Added vue/no-custom-modifiers-on-v-model rule.
        • #1036 Added vue/no-multiple-template-root rule.
        • #1036 Added vue/no-v-model-argument rule.
        • #1148 Added vue/no-mutating-props rule.
        • #1156 Added vue/no-arrow-functions-in-watch rule.
        • #1166 Added vue/custom-event-name-casing rule.
        • #1239 Added vue/no-dupe-v-else-if rule.
        • #1281 Added vue/no-v-for-template-key rule.
      • Changed plugin:vue/strongly-recommended config.
        • Same changes as above.
        • #1036 Added vue/component-definition-name-casing rule.
        • #1036 Added vue/v-slot-style rule.
        • #1036 Removed vue/name-property-casing rule.
        • #1149 Added vue/one-component-per-file rule.
      • Changed plugin:vue/recommended config.
        • Same changes as above.
        • #1036 Added vue/component-tags-order rule.
        • #1179 Added vue/no-multiple-slot-args rule.
        • #1238 Added vue/no-lone-template rule.
    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Note: This repo was added to Dependabot recently, so you'll receive a maximum of 5 PRs for your first few update runs. Once an update run creates fewer than 5 PRs we'll remove that limit.

    You can always request more updates by clicking Bump now in your Dependabot dashboard.

    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    opened by dependabot-preview[bot] 2
  • add multiselect like checkbox in dropdown

    add multiselect like checkbox in dropdown

    Is your feature request related to a problem? Please describe. A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]

    Describe the solution you'd like A clear and concise description of what you want to happen.

    Describe alternatives you've considered A clear and concise description of any alternative solutions or features you've considered.

    Additional context Add any other context or screenshots about the feature request here.

    incomplete waiting-for-repy 
    opened by nazaninhesari 2
  • Bug when selecting an option after typing

    Bug when selecting an option after typing

    Bug Description The bug occurs when you select an option from the list of sugestions after you start typing. After the selection, what you typed remains on the field

    To Reproduce Steps to reproduce the behavior:

    1. Start typing on the field
    2. Select an option The word you typed remains there
    bug confirmed 
    opened by Edgencio 2
  • chore(deps): Bump core-js from 3.8.0 to 3.26.0

    chore(deps): Bump core-js from 3.8.0 to 3.26.0

    Bumps core-js from 3.8.0 to 3.26.0.

    Changelog

    Sourced from core-js's changelog.

    3.26.0 - 2022.10.24
    3.25.5 - 2022.10.04
    • Fixed regression with an error on reuse of some built-in methods from another realm, #1133
    3.25.4 - 2022.10.03
    • Added a workaround of a Nashorn bug with Function.prototype.{ call, apply, bind } on string methods, #1128
    • Updated lists of [Serializable] and [Transferable] objects in the structuredClone polyfill. Mainly, for better error messages if polyfilling of cloning such types is impossible
    • Array.prototype.{ group, groupToMap } marked as supported from V8 ~ Chromium 108
    • Added Electron 22 compat data mapping
    3.25.3 - 2022.09.26
    • Forced polyfilling of Array.prototype.groupToMap in the pure version for returning wrapped Map instances
    • Fixed existence of Array.prototype.{ findLast, findLastIndex } in /stage/4 entry
    • Added Opera Android 71 compat data mapping
    • Some stylistic changes
    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements

    ... (truncated)

    Commits
    • 3b13f58 3.26.0
    • 036575a add self
    • f5f7df5 { Iterator, AsyncIterator }.prototype.flatMap supports returning both - ite...
    • 8e58a6d don't await non-objects returned from functions passed to AsyncIterator hel...
    • f17389a add counter argument to async iterator helpers
    • c8d22f6 add counter argument to iterator helpers
    • e29fa7c change the order of imports
    • e54087d drop CI badges as useless
    • aab66f4 add missed author field
    • 7959981 add well formed unicode strings proposal
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • chore(deps-dev): Bump eslint-plugin-vue from 7.1.0 to 9.6.0

    chore(deps-dev): Bump eslint-plugin-vue from 7.1.0 to 9.6.0

    Bumps eslint-plugin-vue from 7.1.0 to 9.6.0.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v9.6.0

    ✨ Enhancements

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.5.1...v9.6.0

    v9.5.1

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.5.0...v9.5.1

    v9.5.0

    ✨ Enhancements

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.4.0...v9.5.0

    Thanks @​dev1437, @​Amorites, @​acupofspirt for your contributions!

    v9.4.0

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.3.0...v9.4.0

    v9.3.0

    ⚙️ Updates

    🐛 Bug Fixes

    ... (truncated)

    Commits
    • f7960c8 9.6.0
    • 228b49f Fix false positives for uninitialized vars in vue/no-ref-as-operand rule (#...
    • 2e54472 Chore: remove from docs how to install via VueCLI (#2000)
    • cae6d29 Add consistent option to vue/padding-line-between-tags (#1982)
    • f4f946a Fix docs code example for vue/no-required-prop-with-default (#1995)
    • 467e85f docs: improve example to better clarify rule (#1985)
    • fdb67d1 docs: better example to clarify rule (#1984)
    • a4e807c feat: add no-required-prop-with-default rule (#1943)
    • e9964e1 fix define-prps-declaration docs (#1977)
    • 4d0ffae 9.5.1
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • chore(deps): Bump core-js from 3.8.0 to 3.25.5

    chore(deps): Bump core-js from 3.8.0 to 3.25.5

    Bumps core-js from 3.8.0 to 3.25.5.

    Changelog

    Sourced from core-js's changelog.

    3.25.5 - 2022.10.04
    • Fixed regression with an error on reuse of some built-in methods from another realm, #1133
    3.25.4 - 2022.10.03
    • Added a workaround of a Nashorn bug with Function.prototype.{ call, apply, bind } on string methods, #1128
    • Updated lists of [Serializable] and [Transferable] objects in the structuredClone polyfill. Mainly, for better error messages if polyfilling of cloning such types is impossible
    • Array.prototype.{ group, groupToMap } marked as supported from V8 ~ Chromium 108
    • Added Electron 22 compat data mapping
    3.25.3 - 2022.09.26
    • Forced polyfilling of Array.prototype.groupToMap in the pure version for returning wrapped Map instances
    • Fixed existence of Array.prototype.{ findLast, findLastIndex } in /stage/4 entry
    • Added Opera Android 71 compat data mapping
    • Some stylistic changes
    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements
    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping

    ... (truncated)

    Commits
    • 4a8b1f7 3.25.5
    • 1ad3e1a fix regression with an error on reuse of some built-in methods from another r...
    • d59e440 3.25.4
    • d76041c update lists of [Serializable] and [Transferable] objects in the `structu...
    • fd7812a some stylistic changes, improve a note
    • afcc148 update dependencies
    • 14364db add Electron 22 compat data mapping
    • 3172ef6 Merge pull request #1131 from AprilArcus/april/1130
    • 8bd8508 Fix more Nashorn problems
    • 44fe613 fix no-unused-vars setting
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • chore(deps): Bump core-js from 3.8.0 to 3.25.4

    chore(deps): Bump core-js from 3.8.0 to 3.25.4

    Bumps core-js from 3.8.0 to 3.25.4.

    Changelog

    Sourced from core-js's changelog.

    3.25.4 - 2022.10.03
    • Added a workaround of a Nashorn bug with Function.prototype.{ call, apply, bind } on string methods, #1128
    • Updated lists of [Serializable] and [Transferable] objects in the structuredClone polyfill. Mainly, for better error messages if polyfilling of cloning such types is impossible
    • Array.prototype.{ group, groupToMap } marked as supported from V8 ~ Chromium 108
    • Added Electron 22 compat data mapping
    3.25.3 - 2022.09.26
    • Forced polyfilling of Array.prototype.groupToMap in the pure version for returning wrapped Map instances
    • Fixed existence of Array.prototype.{ findLast, findLastIndex } in /stage/4 entry
    • Added Opera Android 71 compat data mapping
    • Some stylistic changes
    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements
    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping
    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110

    ... (truncated)

    Commits
    • d59e440 3.25.4
    • d76041c update lists of [Serializable] and [Transferable] objects in the `structu...
    • fd7812a some stylistic changes, improve a note
    • afcc148 update dependencies
    • 14364db add Electron 22 compat data mapping
    • 3172ef6 Merge pull request #1131 from AprilArcus/april/1130
    • 8bd8508 Fix more Nashorn problems
    • 44fe613 fix no-unused-vars setting
    • 9307fb7 Merge pull request #1129 from AprilArcus/april/1128
    • 775f6ba some fixes
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • chore(deps): Bump core-js from 3.8.0 to 3.25.3

    chore(deps): Bump core-js from 3.8.0 to 3.25.3

    Bumps core-js from 3.8.0 to 3.25.3.

    Changelog

    Sourced from core-js's changelog.

    3.25.3 - 2022.09.26
    • Forced polyfilling of Array.prototype.groupToMap in the pure version for returning wrapped Map instances
    • Fixed existence of Array.prototype.{ findLast, findLastIndex } in /stage/4 entry
    • Added Opera Android 71 compat data mapping
    • Some stylistic changes
    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements
    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping
    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110
    • Fixed detection of @@species support in Promise in some old engines
    • { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } marked as shipped in FF104
    • Added iOS Safari 15.6 compat data mapping
    • Fixed Opera 15 compat data mapping
    3.24.0 - 2022.07.25

    ... (truncated)

    Commits
    • 12509bd 3.25.3
    • 3051ab6 Merge pull request #1125 from zloirock/eslint-flat
    • 5a6465c remove no-loss-of-precision since it works not as expected in some cases
    • b3e4874 some stylistic changes
    • 3039471 disable unicorn/prefer-code-point as useless for core-js case
    • ad96d14 update eslint, enable logical-assignment-operators rule
    • 5853e7e fix some patterns, use some extglob patterns
    • 545846e use names of original plugins for forks
    • 71acd8b try to use flat ESLint config
    • 66235ec drop node 17 from ci
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • chore(deps): Bump core-js from 3.8.0 to 3.26.1

    chore(deps): Bump core-js from 3.8.0 to 3.26.1

    Bumps core-js from 3.8.0 to 3.26.1.

    Changelog

    Sourced from core-js's changelog.

    3.26.1 - 2022.11.14
    • Disabled forced replacing of Array.fromAsync since it's on Stage 3
    • Avoiding a check of the target in the internal function-uncurry-this helper where it's not required - minor optimization and preventing problems in some broken environments, a workaround of #1141
    • V8 will not ship Array.prototype.{ group, groupToMap } in V8 ~ Chromium 108, proposal-array-grouping/44
    3.26.0 - 2022.10.24
    3.25.5 - 2022.10.04
    • Fixed regression with an error on reuse of some built-in methods from another realm, #1133
    3.25.4 - 2022.10.03
    • Added a workaround of a Nashorn bug with Function.prototype.{ call, apply, bind } on string methods, #1128
    • Updated lists of [Serializable] and [Transferable] objects in the structuredClone polyfill. Mainly, for better error messages if polyfilling of cloning such types is impossible
    • Array.prototype.{ group, groupToMap } marked as supported from V8 ~ Chromium 108
    • Added Electron 22 compat data mapping
    3.25.3 - 2022.09.26
    • Forced polyfilling of Array.prototype.groupToMap in the pure version for returning wrapped Map instances
    • Fixed existence of Array.prototype.{ findLast, findLastIndex } in /stage/4 entry
    • Added Opera Android 71 compat data mapping
    • Some stylistic changes
    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat

    ... (truncated)

    Commits
    • 727fe23 3.26.1
    • 3bcbad2 avoid a check of the target in the internal function-uncurry-this helper wh...
    • 99099fd disable forced replacing of Array.fromAsync since it's on Stage 3
    • 3b13f58 3.26.0
    • 036575a add self
    • f5f7df5 { Iterator, AsyncIterator }.prototype.flatMap supports returning both - ite...
    • 8e58a6d don't await non-objects returned from functions passed to AsyncIterator hel...
    • f17389a add counter argument to async iterator helpers
    • c8d22f6 add counter argument to iterator helpers
    • e29fa7c change the order of imports
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • chore(deps-dev): Bump eslint-plugin-prettier from 3.1.4 to 4.2.1

    chore(deps-dev): Bump eslint-plugin-prettier from 3.1.4 to 4.2.1

    Bumps eslint-plugin-prettier from 3.1.4 to 4.2.1.

    Release notes

    Sourced from eslint-plugin-prettier's releases.

    v4.2.1

    4.2.1

    Patch Changes

    v4.2.0

    4.2.0

    Minor Changes

    v4.1.0 (2022-06-27)

    • feat: skip processing code blocks on specific languages like stylelint-prettier (#415) (52eec48)
    • build(deps): Bump minimist from 1.2.5 to 1.2.6 (#464) (42bfe88)
    • build(deps-dev): Bump graphql from 15.5.1 to 15.7.2 (#442) (0158640)
    • build(deps-dev): Bump @​graphql-eslint/eslint-plugin from 2.3.0 to 2.4.0 (#444) (4bcaca2)
    • chore(CI): add tests for ESLint 8 (#428) (f3713be)
    • README.md: HTTP => HTTPS (#443) (44e1478)
    Changelog

    Sourced from eslint-plugin-prettier's changelog.

    4.2.1

    Patch Changes

    4.2.0

    Minor Changes

    v4.1.0 (2022-06-27)

    • feat: skip processing code blocks on specific languages like stylelint-prettier (#415) (52eec48)
    • build(deps): Bump minimist from 1.2.5 to 1.2.6 (#464) (42bfe88)
    • build(deps-dev): Bump graphql from 15.5.1 to 15.7.2 (#442) (0158640)
    • build(deps-dev): Bump @​graphql-eslint/eslint-plugin from 2.3.0 to 2.4.0 (#444) (4bcaca2)
    • chore(CI): add tests for ESLint 8 (#428) (f3713be)
    • README.md: HTTP => HTTPS (#443) (44e1478)

    v4.0.0 (2021-08-30)

    This breaking change drops support for old versions of ESLint, Prettier and Node. You must use at least ESLint v7.28.0, Prettier v2.0.0 and Node v12.0.0. Aside from that, usage of this plugin remains identical.

    • v4 - Drop support for eslint 5/6, prettier 1, node 6/8 (#429) (acb56f3)

    v3.4.1 (2021-08-20)

    • build(deps): Bump glob-parent from 5.0.0 to 5.1.2 (#420) (b6d075c)
    • build(deps): Bump path-parse from 1.0.6 to 1.0.7 (#425) (24f957e)
    • feat: support @graphql-eslint/eslint-plugin out of box (#413) (ec6fbb1)
    • chore: add tests for Node 16 (#410) (76bd45e)

    v3.4.0 (2021-04-15)

    v3.3.1 (2021-01-04)

    • fix: add eslint-config-prettier as an optional peer dependency (#374) (d59df27)
    • build(deps-dev): bump eslint from 7.16.0 to 7.17.0 (b87985d)

    ... (truncated)

    Commits
    • 19efb8a chore: release prettier-plugin-svelte v4.2.1 (#486)
    • 5736ed5 chore: reuse prettierRcOptions instead of resolveConfig again (#485)
    • 7500e7f ci: perf on CI
    • bea9ae8 chore: use changeset publish instead
    • 1430fd1 chore: release prettier-plugin-svelte v4.2.0 (#484)
    • 3c2824d docs: notice Svelte support
    • 5b26a83 ci: add missing commit message template
    • 97add0c chore: do not format .svelte fixtures unexpectedly
    • 7bd70b6 feat: support svelte out of box (#483)
    • 928a60f docs: use correct json content in md (#480)
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by jounqin, a new releaser for eslint-plugin-prettier since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • chore(deps-dev): Bump eslint-plugin-vue from 7.1.0 to 9.7.0

    chore(deps-dev): Bump eslint-plugin-vue from 7.1.0 to 9.7.0

    Bumps eslint-plugin-vue from 7.1.0 to 9.7.0.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v9.7.0

    ✨ Enhancements

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.6.0...v9.7.0

    v9.6.0

    ✨ Enhancements

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.5.1...v9.6.0

    v9.5.1

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.5.0...v9.5.1

    v9.5.0

    ✨ Enhancements

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.4.0...v9.5.0

    Thanks @​dev1437, @​Amorites, @​acupofspirt for your contributions!

    ... (truncated)

    Commits
    • c64af6b 9.7.0
    • a4d37ff chore: update docs and fix tsc error
    • f5d700c Add vue/v-on-handler-style rule and deprecate vue/v-on-function-call rule...
    • 2c1ba8c Add example for rule vue/no-restricted-static-attribute (#2021)
    • edb7ec5 Update extension rule descriptions
    • 702e362 Fix irregular whitespace (#2017)
    • b41379b Update links from v3.vuejs.org to vuejs.org (#2015)
    • 96bfff0 Update outdated lifecycle diagram link in docs (#2014)
    • 0d2607f Allow restricting classes by regexp in vue/no-restricted-class (#2013)
    • 2479d2f Improve new-rule tool and templates (#2008)
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • Single dropdown active class added to wrong option

    Single dropdown active class added to wrong option

    Describe the bug When using a single dropdown, the active class does not get applied to the selected option.

    To Reproduce

    1. Make a dropdown
    2. Open the dropdown
    3. Select any value but the first (as the first will coincidentally work
    4. Open the dropdown again
    5. The first option is now selected

    Expected behavior The chosen option should be active

    Desktop (please complete the following information):

    • OS: Windows
    • Browser: Chrome
    • Version: 5195.19
    bug 
    opened by Xenocidious 4
  • chore(deps): Bump terser from 4.8.0 to 4.8.1

    chore(deps): Bump terser from 4.8.0 to 4.8.1

    Bumps terser from 4.8.0 to 4.8.1.

    Changelog

    Sourced from terser's changelog.

    v4.8.1 (backport)

    • Security fix for RegExps that should not be evaluated (regexp DDOS)
    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself) You can disable automated security fix PRs for this repo from the Security Alerts page.
    dependencies 
    opened by dependabot[bot] 0
Releases(v0.6.1)
Owner
Ivan Vilanculo
Desiger e desenvolvedor de applicativos, trabalho na Technoplus, como desenvolvedor/programador. Estou nesta area por cerca de 6 anos e amo cada minuto disso.
Ivan Vilanculo
A Selectize wrapper for VueJS

vue2-selectize A Selectize wrapper for VueJS 2. Prerequisites jQuery >= 1.7.0 Installation npm install --save jquery vue2-selectize Usage <selectize v

Carlos González 49 Jul 11, 2021
Stylable searchable select component for VueJS. This component is renderless so you are free to customize it how you need to!

Please note that this package is still under active development. We encourage everyone to try it and give feedback. ss-select Searchable stylable sele

Miras Mustimov 26 Sep 19, 2022
Everything you wish the HTML select element could do, wrapped up into a lightweight, extensible Vue component.

vue-select Everything you wish the HTML select element could do, wrapped up into a lightweight, zero dependency, extensible Vue component. Vue Selec

Jeff Sagal 4.4k Nov 30, 2022
Universal select/multiselect/tagging component for Vue.js

vue-multiselect Probably the most complete selecting solution for Vue.js 2.0, without jQuery. Documentation Visit: vue-multiselect.js.org Sponsors Gol

Damian Dulisz 6.3k Nov 25, 2022
✅ Vue 2.x component for selecting image from list

✅ Vue Select Image Vue 2.x component for selecting image from list Demo https://mazipan.github.io/vue-select-image/ Installation # Yarn yarn add vue-s

Irfan Maulana 141 Nov 23, 2022
A multi-select component with nested options support for Vue.js

vue-treeselect A multi-select component with nested options support for Vue.js Features Single & multiple select with nested options support Fuzzy mat

Fangzhou Li 2.6k Nov 26, 2022
a lovely component of cascade selector with vue.js

v-cascade A lovely component of cascade selector with vue.js (Support both of PC and Mobile) 中文文档 Introduction Demo Screenshot basic-selector remote-s

Zanyuyu 33 May 8, 2021
Custom select component using Vue.JS

advanced-select What's this Component to render a "select" with advanced interactions (search, select/deselect all, etc) for websites built with Vue a

ENA 15 Nov 24, 2022
A Vue.js search select component

vue-search-select A Vue.js search select component with NO dependencies. CSS borrowed from https://github.com/Semantic-Org Version 2.x Support Vue.js

JungJoo Seo 347 Aug 31, 2022
A component for Vue.js to select double-sided data.

Vue Select Sides A component for Vue.js to select double-sided data. The customer can select one or more items and ship them from side to side. Values

Júlio Rosseti 71 Nov 11, 2022
Vue 3 multiselect component with single select, multiselect and tagging options.

Vue 3 Multiselect Sponsors Other libraries @vueform/slider - Vue 3 slider component with multihandles, tooltips merging and formatting. @vueform/toggl

Vueform 541 Nov 21, 2022
Universal select/multiselect/tagging component for Vue.js

vue-multiselect Probably the most complete selecting solution for Vue.js 2.0, without jQuery. Documentation Visit: vue-multiselect.js.org Sponsors Gol

Damian Dulisz 6.3k Nov 26, 2022
A Vue Component to convert the native html select-dropdown to searchable dropdown (something similar to the datalist html tag which isn't supported in most of the browsers)

Searchable-Select-Dropdown A Vue Component to convert the native html select-dropdown to searchable dropdown (something similar to the datalist html t

Rahul Gaba 13 Sep 15, 2022
A Vue 3 headless file selector component

vue3-file-selector A Vue 3 headless File Selector component. How to use This library includes a few headless components for a drag and drop supported

cyon GmbH 21 Jul 28, 2022
A vue keyboard MultiSelect component.

vue-keyboard-multiselect A project for building a keyboard-supported MultiSelect component based on Vue.js. Build Setup # install dependencies npm i v

Ziwen Mei 212 Aug 11, 2022
Lightweight and mighty select component like Chosen and Select 2 done the Vue way.

@desislavsd/vue-select Lightweight and mighty select component like Chosen and Select 2 done the Vue way. Demos & Docs License MIT License Copyright (

null 25 Sep 12, 2022
A simple vue drag selector component

Vue-Drag-Selector 基于Vue.js的框选组件 示例(Demo) View Demo 安装(install) npm i vue-drag-selector 引入(import) // main.js import VueDragSelector from "vue-drag-se

XuCat 40 Nov 1, 2022
Super awesome select dropdown vue.js component.

v-super-select An accessible and customizable select/drop down component that features searching, grouping, and virtual scrolling. Try out the demo sa

Will 7 Mar 31, 2022
Vue component for suggestions with custom templates

v-suggestions suggestions with custom templates Installation # npm npm install v-suggestions # yarn yarn add v-suggestions import Suggestions from '

Anjaneya Sivan 43 Sep 30, 2022